### Digi Friend Application Installation
 - Download Application 
 - run composer install
 - import data/sql.db in mySql Database
 - Database credentials in `config/autoload/global.php`
 `'db' => array(
          'username' => '',
          'password' => '',
          'driver'  => 'Pdo',
          'dsn'     => 'mysql:dbname=digifriends;host=localhost',
      ),`
 
 - In case zend application not run before put the following configurationa in
 http.confd `<VirtualHost *:80>
                  ServerName Digifriends.localhost
                  DocumentRoot C:\xampp\htdocs\DigitfriendsApp\public
                  SetEnv APPLICATION_ENV "development"
                  <Directory /path/to/zf2-tutorial/public>
                      DirectoryIndex index.php
                      AllowOverride All
                      Order allow,deny
                      Allow from all
                  </Directory>
              </VirtualHost>`
              
/etc/hosts  `127.0.0.1               Digifriends.localhost localhost`
 
### Play With DigiFriends

 - Go To `http://digifriends.localhost/?userId=1`
 - Enter Digit Number and Click on MakeFriends Button.
 - User will redirect to current page and will display the last saved number with friends.
 - The Current Latest Row is Blue. Else the old record depending on time.
 
 
 
 ##### Task output
 1. X number save in database  when GoTo `http://digifriends.localhost/?userId=1`
 Insert Digit Against User
 Check if DigitFriends not available create new one. It fast the processing , the friends always remain same for each a digit X. Can be retrieve for other users also.
  
2.  On current Page all saved Digits with Friends are display with highlight the current one. No next previous at the moment

3. Deletion Cron , Not Done
4. Check Page, Not Done
Answer to the Question:  Covers in #5


5. Extremely High Value. 
There could be a solution that we run a cron job and computer the DigitFriends of each Number X. to an higher value and put the results in cache,
By using Caching System the system will be supper fast, it will just retrieved the exact number. For this MySql and Relation database is not a good solution.
I would prefer to have this solution with NoSql. I


 
 
 
 
